
<form name="form" novalidate>


<div id="top_of_dialog">
	<strong>Modifica Parametri di Configurazione Offerta Commerciale </strong>
</div>

<div style="margin-top: 15px">
	<table class="table table-bordered blockContainer showInlineTable equalSplit">
		<thead>
			<tr>
				<th class="blockHeader" colspan="2">Impostazione parametri</th>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td class="fieldLabel medium">
					<label class="muted pull-right marginRight10px">
						<span class="redColor" ng-show="form.process.$invalid">*</span>DSP
					</label>
				</td>
				<td class="fieldValue medium">
					<div class="row-fluid">
						<span class="span10">
						{{ctrl.commercialConfigToModify.dspName}}
						</span>
					</div>
				</td>
			</tr>
			<tr>
			   <td class="fieldLabel medium">
					<label class="muted pull-right marginRight10px">
						<span class="redColor" ng-show="form.process.$invalid">*</span>TIPO DI UTILIZZO
					</label>
				</td>
				<td class="fieldValue medium">
					<div class="row-fluid">
						<span class="span10">
						<select ng-model="selectedUtilization"	ng-options="item.name for item in ctrl.utilizationList track by item.idUtilizationType" required></select>
						</span>
					</div>
				</td>

			</tr>
			<tr>
				 <td class="fieldLabel medium">
					<label class="muted pull-right marginRight10px">
						<span class="redColor" ng-show="form.process.$invalid">*</span>OFFERTA COMMERCIALE
					</label>
				</td>
				<td class="fieldValue medium">
					<div class="row-fluid">
						<span class="span10">
						<input type="text" class="form-control" id="offerName"  ng-model="selectedOffer" required/>
						
							
						</span>
					</div>
				</td>
				
			</tr>
			<tr>
				<td class="fieldLabel medium">
					<label class="muted pull-right marginRight10px">
						<span class="redColor" ng-show="form.process.$invalid">*</span>SERVIZIO
					</label>
				</td>
				<td class="fieldValue medium">
					<div class="row-fluid">
						<span class="span10">
							<select name="serviceType" id="serviceType" ng-model="selectedServiceType" ng-options="item as item.description for item in ctrl.serviceTypeList track by item.code" required>
							</select>
						</span>
					</div>
				</td>
			</tr>
			<tr>
				<td class="fieldLabel medium">
					<label class="muted pull-right marginRight10px">
						<span class="redColor" ng-show="form.process.$invalid">*</span>UTILIZZO
					</label>
				</td>
				<td class="fieldValue medium">
					<div class="row-fluid">
						<span class="span10">
							<select name="useType" id="useType" ng-model="selectedUseType" ng-options="item as item.description for item in ctrl.useTypeList track by item.code" required>
							</select>
						</span>
					</div>
				</td>
			</tr>
			<tr>
				<td class="fieldLabel medium">
					<label class="muted pull-right marginRight10px">
						<span class="redColor" ng-show="form.process.$invalid">*</span>TARIFFA APPLICATA
					</label>
				</td>
				<td class="fieldValue medium">
					<div class="row-fluid">
						<span class="span10">
							<select name="appliedTariff" id="appliedTariff" ng-model="selectedAppliedTariff" ng-options="item as item.description for item in ctrl.appliedTariffList track by item.code" required>
							</select>
						</span>
					</div>
				</td>
			</tr>
			<tr>
				<td class="fieldLabel medium">
					<label class="muted pull-right marginRight10px">
						<span class="redColor" ng-show="form.process.$invalid">*</span>CODICE SERVIZIO
					</label>
				</td>
				<td class="fieldValue medium">
					<div class="row-fluid">
						<span class="span10">
							 <input type="text" class="form-control" id="tradingBrand" placeholder="Inserisci il codice servizio" ng-model="selectedTradingBrand" required>
						</span>
					</div>
				</td>

			</tr>
				
		</tbody>
	</table>
</div>

<div style="margin-top: 15px">
	<table width="100%">
	<tr>
		<td>
			<button type="button" class="btn addButton" ng-click="cancel()">
				<span class="glyphicon glyphicon-remove"></span>&nbsp;&nbsp;<strong>Annulla</strong>
			</button>
		</td>
		<td align="right">
			<button ng-disabled="form.$invalid" class="btn addButton" ng-click=modifycommercialConfig()>
				<span class="glyphicon glyphicon-ok"></span>&nbsp;&nbsp;<strong>Modifica</strong>
			</button>
		</td>
	</tr>
	</table>
</div>

</form>

<script type="text/ng-template" id="errorDialogId">
	<div id="target"  >
		<strong>{{ngDialogData}}</strong>
	</div>
</script>

<script type="text/javascript">
$('#top_of_dialog')[0].scrollIntoView( true );
</script>